	real*8 x,y,y1
	integer*8 j,j2
	equivalence (j,y)

	print*,'what sqrt?'
	read*,x
	y=x
	print100,j
	j2=2
	j=(j-j2**52)/2
	j=j+j2**61
	print100,j
100	format(1x,z16)
	print*,y
	do i=1,10
	y1=(y+x/y)/2
	print*,y1
	
	if(abs(y1-y)/y.lt.1.d-14)goto 666
	y=y1
	enddo
666	print*,sqrt(x),1.d0-y1/sqrt(x)
	print100,j
	end
